from fastapi import APIRouter, Depends
import kassa.database as database
import kassa.cruds.doc as doc
import kassa.schemas as schemas
import kassa.models as models

models.Base.metadata.create_all(database.engine)
router = APIRouter()

get_db = database.get_db


@router.post('/{external_id}')
async def insert_doc(request: schemas.Doc, external_id: str, db=Depends(get_db)):
    return doc.create_doc(db, request, external_id)
